%define name	gnome-pilot
%define version	0.1.55
%define release 0.1.3mdk

Release:	%release
Summary:	GNOME Pilot programs
Name:		%name
Version: 	%version
Copyright:	GPL/LGPL
Group:		Graphical desktop/GNOME
Source: 	ftp://ftp.gnome.org/pub/GNOME/sources/unstable/%{name}/%{name}-%{version}pre.tar.bz2
URL:		http://www.gnome.org/gnome-pilot/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

# pulled by libraries dependency
#Requires:	pilot-link >= 0.9.5
#Requires:	gnome-core >= 1.2.0
#Requires:	ORBit      >= 0.5.3
#Requires:	gnome-libs >= 1.2.0
BuildRequires:	pilot-link-devel >= 0.9.5, gob >= 1.0.4, XFree86-devel, ORBit-devel, 
BuildRequires: gnome-libs-devel, audiofile-devel, control-center-devel, esound-devel, 
BuildRequires: imlib-devel, libglade-devel, gnome-core-devel, libxml-devel, zlib-devel
BuildConflicts: libxml2-devel
%description
GNOME pilot is a collection of programs and daemon for integrating
GNOME and the PalmPilot (tm).

%package devel

Summary:	GNOME pilot libraries, includes, etc
Group:		Development/GNOME and GTK+
Requires: 	%{name} = %{version}

Requires:	pilot-link-devel >= 0.9.5
Requires:	gnome-core-devel >= 1.2.0
Requires:	ORBit-devel      >= 0.5.3

%description devel
gpilotd libraries and includes.

%prep
%setup -q -n %{name}-%{version}

%build

# (fc) 0.1.55-0.1.3mdk will force regeneration of gob files
touch gpilotd/gnome-pilot-client.gob

%configure --enable-usb-visor=yes
# (fc) 0.1.55-0.1.3mdk don't compile AbsSync conduit with latest pilot-link
# --with-newabs

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall 

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): needs=gnome section="Configuration/Gnome/Peripherals" command="gpilotd-control-applet --cap-id=1" title="Pilot link" icon="/usr/share/pixmaps/gnome-palm.png" 
?package(%{name}): needs=gnome section="Configuration/Gnome/Peripherals" title="Pilot Conduits" icon="/usr/share/pixmaps/gnome-palm.png"
?package(%{name}): needs=gnome section="Configuration/Gnome/Peripherals/Pilot Conduits" command="backup-conduit-control-applet --cap-id=1" title="Backup conduit"
?package(%{name}): needs=gnome section="Configuration/Gnome/Peripherals/Pilot Conduits" command="email-conduit-control-applet --cap-id=1" title="Email conduit"
?package(%{name}): needs=gnome section="Configuration/Gnome/Peripherals/Pilot Conduits" command="expense-conduit-control-applet --cap-id=1" title="Expense conduit"
?package(%{name}): needs=gnome section="Configuration/Gnome/Peripherals/Pilot Conduits" command="file-conduit-control-applet --cap-id=1" title="File conduit"
?package(%{name}): needs=gnome section="Configuration/Gnome/Peripherals/Pilot Conduits" command="memo_file_capplet --cap-id=1" title="Memo conduit"
EOF

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post  
%{update_menus}
/sbin/ldconfig

%postun 
%{clean_menus}
/sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_libdir}/*.so.*
%{_libdir}/gnome-pilot
%config(noreplace) %{_sysconfdir}/CORBA/servers/*
%{_datadir}/applets/*
%{_datadir}/control-center/*
#%{_datadir}/gnome/*
%{_datadir}/gnome-pilot
%{_datadir}/gob/*
%{_datadir}/idl/*
%{_datadir}/mime-info/*
%{_datadir}/pixmaps/*
%{_datadir}/oaf/*
%{_menudir}/*

%files devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/*so
%{_libdir}/*a
%{_libdir}/*sh

%changelog
* Mon Mar 26 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.55-0.1.3mdk
- Disable compilation of SyncAbs conduit. Doesn't work with latest pilot-link
- Force regeneration of gob files

* Wed Jan  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.55-0.1.2mdk
- Correct BuildRequires

* Fri Oct 27 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.55-0.1.1mdk
- Release 0.1.55-pre

* Mon Oct 02 2000 David BAUDENS <baudens@mandrakesoft.com> 0.1.54-4mdk
- Fix menu entry

* Fri Sep 22 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.54-3mdk
- Add missing files
- Add menuentry

* Wed Sep  6 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.54-2mdk
- Add oaf files
- Use find_lang macro

* Tue Aug  8 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.54-1mdk
- Release 0.1.54

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.1.53-3mdk
- automatically added BuildRequires

* Mon Jul 31 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.53-2mdk
- rebuild to remove dependency on alsa

* Tue Jul 25 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.53-1mdk
- Release 0.1.53

* Mon Jul 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.52-3mdk
- add shell script to devel
- clean spec

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 0.1.52-2mdk
- BM + macrozification.

* Fri Jul  7 2000 dam's <damien@mandrakesoft.com> 0.1.52-1mdk
- updated from helix.

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.1.50-4mdk
- Add BuildRequires: gob pilot-link-devel
- libtoolizification.

* Fri Apr 28 2000 dam's <damien@mandrakesoft.com> 0.1.50-3mdk
- added update-menus.

* Sun Apr 16 2000 Daouda Lo <daouda@mandrakesoft.com> 0.1.50-2mdk
- Oups forgot to include some devel librairies!

* Sun Apr 16 2000 Daouda Lo <daouda@mandrakesoft.com> 0.1.50-1mdk
- first mandrake build. 
- Spec file from HelixCode Inc.
